﻿/* Importing all the variables from vars.css */
@import "./vars.css";
@import "./common.css";

:root {
    --cn-body-bg: #000 url(../images/bg.png)!important;
}

body { font-family: var(--cn-font-family); background: var(--cn-body-bg) no-repeat 50% 100%; background-size: cover; height: 100vh; display: grid; place-items: center; padding: var(--cn-gap-lg); }

a { color: var(--cn-link-color); text-decoration: none; }
a:hover { color: var(--cn-link-color); text-decoration: underline; }

.text-muted { text-align: center; font-size: 0.9rem; color: var(--cn-text-muted); margin-top: var(--cn-gap-md); }
.text-muted a { color: var(--cn-link-color); text-decoration: none; }

.text-center,
.cn-text-center{ text-align: center; }

/* =STRUCTURE */
.gp-guest-page { border-radius: var(--cn-border-radius-xl); overflow: hidden; border: 5px solid var(--cn-white); background: var(--cn-white); }

.gp-guest-page-content { display: grid; width: 100%; padding: 0; border-radius: var(--cn-border-radius-lg); max-height: var(--cn-form-height); grid-template-areas: "promo form"; grid-template-columns: 1fr 1fr; overflow: hidden; height: 100vh; }

.gp-guest-page__form { grid-area: form; display: grid; grid-template-rows: auto 1fr auto; place-items: center; padding: 0 var(--cn-gap-lg); animation: slideInLeft 0.8s ease-out forwards; background: var(--cn-form-bg); margin: 0; grid-template-areas: "form-header" "form-content" "form-footer"; gap: var(--cn-gap-lg); height: 100%; overflow: auto; }

.gp-guest-page__promo { grid-area: promo; display: grid; align-items: end; padding: var(--cn-gap-xl); border-radius: var(--cn-border-radius-xl); color: var(--cn-promo-color); background: var(--cn-promo-bg) no-repeat 100% 0%; background-size: cover; animation: slideInRight 0.8s ease-out forwards; }

.gp-guest-page__header { grid-area: form-header; display: flex; justify-content: center; align-items: center; padding: var(--cn-gap-xl) 0 0 0; width: 100%; font-weight: 500; }

.gp-guest-page:has(.gp-register-form) .gp-guest-page-content,
.gp-guest-page:has(.gp-renew-form) .gp-guest-page-content { grid-template-columns: 1fr 2fr; overflow: hidden; height: 100vh; max-width: 1200px; }


.gp-gap-0 { gap: 0!important; }
.gp-space-between { justify-content: space-between!important; }

/* =LOGO */
.gp-main-logo { width: var(--cn-logo-width); margin-bottom: 0; align-self: center; }

/* =FORM */
/*.gp-guest-page-card { background: transparent; width: 100%; max-width: var(--cn-form-width); padding: 0; height: 100%; display: flex; justify-content: center; flex-direction: column; align-self: flex-end; gap: 2rem; min-height: 0; overflow: auto; }*/

.gp-guest-page-card { background: transparent; width: 100%; max-width: 350px; padding: 0; height: 100%; display: flex; justify-content: center; flex-direction: column; align-self: flex-end; gap: var(--cn-gap-md); }

.gp-guest-page:has(.gp-register-form) .gp-guest-page-card,
.gp-guest-page:has(.gp-renew-form) .gp-guest-page-card { max-width: 700px; }


.gp-guest-page-card h2 { margin: 0; font-size: 2rem; text-align: center; }
    .gp-guest-page-card h3 { margin: 0; font-size: 1rem; text-align: center; }
    .gp-guest-page-card form { margin-top: var(--cn-gap-lg); }

    .gp-flex-column { display: flex; flex-direction: column; gap: var(--cn-gap-md); }
    .gp-flex-row { display: flex; flex-direction: row; gap: var(--cn-gap-md); }
    
.justify-end { justify-content: flex-end; }
.justify-center { justify-content: center; }
.align-start { align-items: flex-start; }

.form-group { margin-bottom: var(--cn-gap-md); }
    .gp-form-group { margin-bottom: var(--cn-gap-md); display: flex; flex-direction: column; gap: 0.3rem; }
    .gp-flex-1 { flex: 1; }

    .form-group label:not(.gp-checkbox-label),
    .gp-form-group label:not(.gp-checkbox-label),
    .gp-label { display: block; font-size: 0.875rem; margin: 0; color: var(--cn-label-color); }

    .form-group input { width: 100%; padding: var(--cn-gap-md); margin-bottom: var(--cn-gap-md); border-radius: var(--cn-border-radius); border: none; background: var(--cn-input-bg); font-size: 1rem; }
        .form-group input:focus { outline: none; border-color: var(--cn-color-primary); box-shadow: 0 0 0 3px var(--cn-input-focus); }

    .gp-form-group input,
    .gp-custom-input { width: 100%; padding: var(--cn-gap-sm); border-radius: var(--cn-border-radius); border: none; background: var(--cn-input-bg); font-size: .9rem; height: var(--cn-input-height); }
        .gp-form-group input:focus { outline: none; border-color: var(--cn-color-primary); box-shadow: 0 0 0 3px var(--cn-input-focus); }

        .form-group input:is(:-webkit-autofill, :autofill),
        .form-group input:is(:-webkit-autofill:hover, :autofill:hover),
        .form-group input:is(:-webkit-autofill:focus, :autofill:focus) { -webkit-text-fill-color: var(--cn-text-strong); -webkit-box-shadow: 0 0 0px 40rem var(--cn-epsilon-white) inset; }

.gp-input-wrapper.-username,
.gp-input-wrapper.-password,
.gp-input-wrapper.-with-icon { position: relative; }

    .gp-input-wrapper.-username input { padding-left: 45px; }
    .gp-input-wrapper.-password input,
    .gp-input-wrapper.-with-icon input{ padding-inline: 45px; }

    .gp-input-icon { position: absolute; left: 15px; top: 50%; transform: translateY(-50%); color: var(--cn-text-strong); cursor: pointer; }
    .gp-input-icon.toggle-password { left: auto; right: 15px; top: 50%; transform: translateY(-50%); color: var(--cn-text-strong); cursor: pointer; }

    .gp-invitation-card { text-align: center; }


    


    /* =TOOLTIP */
.gp-tooltip { display: inline-block; position: relative; color: var(--cn-primary); }
.gp-tooltip .tooltiptext { visibility: hidden; width: 200px; background-color: var(--cn-primary); color: var(--cn-color-on-primary); text-align: center; border-radius: var(--cn-border-radius); padding: var(--cn-gap-sm); position: absolute; z-index: 1; bottom: 125%; left: 50%; margin-left: -100px; opacity: 0; transition: opacity 0.3s; }
.gp-tooltip:hover .tooltiptext { visibility: visible; opacity: 1; }

/* =CHECKBOX */
.gp-checkbox-label { display: inline-flex; align-items: center; gap: 10px; cursor: pointer; font-family: sans-serif; user-select: none; font-size: 0.875rem; }
    .gp-checkbox-label .gp-checkbox-input { position: absolute; opacity: 0; cursor: pointer; left: 0; width: 20px; height: 20px; }
.gp-checkbox-label .gp-checkbox-mark { width: 20px; height: 20px; border: 1px solid #a1a5a6; border-radius: 6px; display: inline-block; position: relative; transition: all 0.2s ease; flex-shrink: 0; }
.gp-checkbox-label:hover .gp-checkbox-mark { border-color: var(--cn-primary); }
/* Checked state */
.gp-checkbox-label input:checked + .gp-checkbox-mark { background-color: var(--cn-primary); border-color: var(--cn-primary); }

/* Check icon */
.gp-checkbox-label .gp-checkbox-mark::after { content: ""; position: absolute; display: none; }

/* Show check when checked */
.gp-checkbox-label input:checked + .gp-checkbox-mark::after { display: block; }

/* Draw the check */
.gp-checkbox-label span::after { left: 7px; top: 3px; width: 5px; height: 10px; border: solid white; border-width: 0 2px 2px 0; transform: rotate(45deg); }

.gp-checkbox-terms { line-height: 1.2; margin: 0; }

/* =CLOUDFARE */
.gp-cloudfare-wrapper { text-align: center; margin-top: var(--cn-gap-lg); display: grid; place-items: center; height: 70px; }
.cf-turnstile { display: flex; justify-content: left; }
.cf-turnstile iframe { width: 220px !important; height: 70px !important; }

/* =FORGOT PASSWORD*/
.gp-forgot-password-wrapper { text-align: center; margin-top: var(--cn-gap-md); font-size: 0.9rem; }
.gp-form-links { padding: 1rem; text-align: center; }

/* =PROMO CONTENT */
.promo-content { position: relative; max-width: var(--cn-promo-content-width); z-index: 1; }

.promo-content h1 { font-size: 2.2rem; margin: 0 0 var(--cn-gap-md); line-height: 1.1; }

.promo-content p { font-size: 1rem; opacity:.9; }
.promo-content .promo-logo { max-width: 120px; margin-bottom: var(--cn-gap-md); }

/* =LANGUAGE DROPDOWN */
.form-control.lang-selector { position: absolute; top: 10px; right: 10px; width: 55px; padding: 2px; height: 30px; font-size: .8rem; border-radius: var(--cn-border-radius); }

/* =ERRORS */
.gp-error-container { background-color: var(--cn-error-bg); border: 1px solid var(--cn-error-border); padding: var(--cn-gap-sm); border-radius: var(--cn-border-radius); margin-bottom: var(--cn-gap-md); font-size: .8rem; text-align: center; }
.gp-error-container p { margin: 0; }

.validation-message,
.gp-validation-message { font-size: .75rem; color: var(--cn-error); }


/* =REQUIRED */

.gp-required-row { font-size: .875rem; }
.gp-required::after { content: "*"; color: var(--cn-error); margin-left: 0.2rem; font-size: 0.875rem; }
.gp-required-row .gp-required { display: flex; flex-direction: row-reverse; gap: 5px; }



/*=PAYMENT FORM*/

.gp-payment-provider { margin-bottom: auto;}
.gp-guest-page-card .gp-payment-provider__name { font-size: 1rem; font-weight: 600; text-align: center; margin-bottom: var(--cn-gap-sm); color: var(--cn-text-muted); }
.gp-payment-provider__logo { text-align: center; padding: var(--cn-gap-lg); /* border: 1px solid var(--cn-primary); */ border-radius: var(--cn-border-radius); background: var(--cn-input-bg); }

.gp-payment-provider__logo img { width: 200px; height: auto; }

.gp-payment-provider-option { padding: var(--cn-gap-sm); border: 1px solid var(--cn-input-bg); border-radius: var(--cn-border-radius); background: var(--cn-input-bg); display: flex; align-items: center; gap: var(--cn-gap-sm); cursor: pointer; font-size: 0.875rem; color: var(--cn-text-strong); margin: 0; }

.gp-payment-provider-option.-checked { border-color: var(--cn-primary); background: var(--cn-color-primary-subtle); }

.gp-payment-provider-details { display: flex; flex-direction: column; }

.gp-payment-provider-icon > img { width: auto; height: 40px; }
.gp-payment-provider-icon > i { font-size: 2.5rem; color: var(--cn-primary); }

.gp-custom-radio .custom-control-input:checked ~ .custom-control-label::before { color: #fff; border-color: var(--cn-primary); background-color: var(--cn-primary); }

.gp-creditcard { font-size: 10rem; color: var(--cn-primary); text-align: center; line-height: 1; }

.gp-payment-info h1 { font-size: 2rem; font-weight: 600; }
.gp-payment-info h2 { font-size: 1.2rem; font-weight: 500; }
.gp-payment-info h3 { font-size: 1rem; font-weight: 300; }

.gp-payment-table { width: 100%; margin-top: var(--cn-gap-lg); gap: var(--cn-gap-md); }
.gp-payment-table-row { display: flex; justify-content: space-between; font-size: 1.2rem; font-weight: 400; }
.gp-payment-table-row.gp-total-row { font-weight: 600; border-top: 1px dashed #fff;margin-top: var(--cn-gap-md); padding-top: var(--cn-gap-sm); }

.gp-guest-page-card .gp-creditcard-form h2 { margin: 0 0 2rem 0; font-size: 1.5rem; text-align: left; color: var(--cn-text-default); }

.gp-custom-input { display: flex; gap: 0.3rem; padding: 0; }
    .gp-custom-input:has(:focus) { outline: none; border-color: var(--cn-color-primary); box-shadow: 0 0 0 3px var(--cn-input-focus); }
    .gp-custom-input input { background: none; width: 40px; text-align: center; }
        .gp-custom-input input:focus { border: none; box-shadow: none; }
        .gp-custom-input input:-webkit-autofill { -webkit-box-shadow: 0 0 0 1000px var(--cn-input-bg) inset !important; -webkit-text-fill-color: var(--cn-text-default) !important; transition: background-color 9999s ease-in-out 0s; }
            .gp-custom-input input:-webkit-autofill:hover,
            .gp-custom-input input:-webkit-autofill:focus,
            .gp-custom-input input:-webkit-autofill:active { -webkit-box-shadow: 0 0 0 1000px var(--cn-input-bg) inset !important; -webkit-text-fill-color: var(--cn-text-default) !important; }
    .gp-custom-input .gp-dash { display: flex; align-items: center; color: var(--cn-text-default); }

.gp-input-small { width: 60px; display: inline-block; }
.gp-empty-space { flex:2; }

/* =FOOTER / =COPYRIGHT*/
.gp-footerlinks { grid-area: form-footer; text-align: center; font-size: 0.8rem; list-style: none; padding: 0; margin: 0; }
    .gp-footerlinks li { display: inline; margin: 0 var(--cn-gap-sm); }
    .gp-footerlinks a { color: var(--cn-text-default); text-decoration: none; }
        .gp-footerlinks a:hover { text-decoration: underline; }

    /*.gp-footerlinks li:first-child { width: 100%; display: block; }*/


/* ANIMATIONS */
@keyframes slideInLeft {
    from { opacity: 0; transform: translateX(-20px); }
    to { opacity: 1; transform: translateX(0); }
}

@keyframes slideInRight {
    from { opacity: 0; transform: translateX(20px); }
    to { opacity: 1; transform: translateX(0); }
}


/* RESPONSIVE */
@media (max-width: 990px) {
    body { height: auto; padding: var(--cn-gap-md); }
    .gp-guest-page-content { grid-template-areas:
            "promo"
            "form"; grid-template-columns: 1fr; overflow: auto; max-height: unset; height: auto; }

    .gp-guest-page:has(.gp-register-form) .gp-guest-page-content,
    .gp-guest-page:has(.gp-renew-form) .gp-guest-page-content { grid-template-areas:
            "promo"
            "form"; grid-template-columns: 1fr; overflow: auto; max-height: unset; height: auto; }

    .promo-content h1 { font-size: 2rem; }
    .gp-guest-page-card h2 { font-size: 1.5rem; }

    .gp-flex-row { flex-direction: column; gap: 0; }
}

